Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Serial

Name

### lastChar()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    Serial myPort;  // The serial port:

    void setup() {
      // List all the available serial ports:
      println(Serial.list());

      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);
      myPort.write(45);
    }

    void draw() {
      while (myPort.available() > 0) {
        char lastIn = myPort.lastChar();
        println(lastIn);
      }
    }

Description | Returns the last byte received as a char.

Syntax

    serial.lastchar()

Parameters

serial | any variable of type Serial

Returns | int
Usage | Web & Application

Updated on November 22, 2008 08:39:23pm PST